Submit an asynchronous render
curl --request POST \
--url https://api.scrinly.com/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"timeout": 30,
"waitUntil": "networkidle2",
"width": 1970,
"height": 1130,
"device": "<string>",
"theme": "light",
"blockCookieBanners": true,
"blockAds": true,
"blockChatWidgets": true,
"blockPopups": true,
"blockAccessibilityWidgets": true,
"hideSelectors": [
"<string>"
],
"clickSelectors": [
"<string>"
],
"scrollToElement": "<string>",
"headers": {},
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"expires": 123,
"httpOnly": true,
"secure": true
}
],
"priority": "normal",
"cache": false,
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"store": false,
"storage_path": "<string>",
"storage_bucket": "<string>",
"storage_endpoint": "<string>",
"storage_region": "auto",
"storage_access_key_id": "<string>",
"storage_secret_access_key": "<string>",
"storage_public_domain": "<string>",
"storage_return_location": true,
"screenshot": false,
"format": "jpg",
"quality": 80,
"fullPage": false,
"extractMetadata": true,
"extractMarkdown": true,
"extractHtml": true,
"extractLinks": true,
"extractImages": true,
"extractVideos": true,
"extractFonts": true,
"extractColors": true,
"extractStructure": true,
"extractDesign": true
}
'import requests
url = "https://api.scrinly.com/render"
payload = {
"url": "<string>",
"timeout": 30,
"waitUntil": "networkidle2",
"width": 1970,
"height": 1130,
"device": "<string>",
"theme": "light",
"blockCookieBanners": True,
"blockAds": True,
"blockChatWidgets": True,
"blockPopups": True,
"blockAccessibilityWidgets": True,
"hideSelectors": ["<string>"],
"clickSelectors": ["<string>"],
"scrollToElement": "<string>",
"headers": {},
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"expires": 123,
"httpOnly": True,
"secure": True
}
],
"priority": "normal",
"cache": False,
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"store": False,
"storage_path": "<string>",
"storage_bucket": "<string>",
"storage_endpoint": "<string>",
"storage_region": "auto",
"storage_access_key_id": "<string>",
"storage_secret_access_key": "<string>",
"storage_public_domain": "<string>",
"storage_return_location": True,
"screenshot": False,
"format": "jpg",
"quality": 80,
"fullPage": False,
"extractMetadata": True,
"extractMarkdown": True,
"extractHtml": True,
"extractLinks": True,
"extractImages": True,
"extractVideos": True,
"extractFonts": True,
"extractColors": True,
"extractStructure": True,
"extractDesign": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
timeout: 30,
waitUntil: 'networkidle2',
width: 1970,
height: 1130,
device: '<string>',
theme: 'light',
blockCookieBanners: true,
blockAds: true,
blockChatWidgets: true,
blockPopups: true,
blockAccessibilityWidgets: true,
hideSelectors: ['<string>'],
clickSelectors: ['<string>'],
scrollToElement: '<string>',
headers: {},
cookies: [
{
name: '<string>',
value: '<string>',
domain: '<string>',
path: '<string>',
expires: 123,
httpOnly: true,
secure: true
}
],
priority: 'normal',
cache: false,
webhookUrl: '<string>',
webhookSecret: '<string>',
store: false,
storage_path: '<string>',
storage_bucket: '<string>',
storage_endpoint: '<string>',
storage_region: 'auto',
storage_access_key_id: '<string>',
storage_secret_access_key: '<string>',
storage_public_domain: '<string>',
storage_return_location: true,
screenshot: false,
format: 'jpg',
quality: 80,
fullPage: false,
extractMetadata: true,
extractMarkdown: true,
extractHtml: true,
extractLinks: true,
extractImages: true,
extractVideos: true,
extractFonts: true,
extractColors: true,
extractStructure: true,
extractDesign: true
})
};
fetch('https://api.scrinly.com/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<unknown>",
"statusUrl": "<string>"
}{
"success": true,
"error": "<string>",
"type": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"success": true,
"error": "<string>",
"type": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"success": true,
"error": "<string>",
"type": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"success": true,
"error": "<string>",
"type": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"success": true,
"error": "<string>",
"type": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}Rendering
Submit an asynchronous render
POST
/
render
Submit an asynchronous render
Authorizations
Customer API key from the Scrinly dashboard.
Body
application/json
Maximum string length:
2048Pattern:
^https?://Required range:
10 <= x <= 60Available options:
load, domcontentloaded, networkidle0, networkidle2 Required range:
100 <= x <= 3840Required range:
100 <= x <= 2160Supported device preset; overrides width and height.
Available options:
light, dark Minimum string length:
1Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
low, normal, high Maximum string length:
2048Pattern:
^https?://Available options:
b2, s3, r2 Available options:
jpg, png Required range:
1 <= x <= 100⌘I
